function options_=CreateOptions(options_);


% % % for adaptive MCMC


if ~isfield(options_, 'mh_npars')% number of parameters
    options_.mh_npars=1;
end

if ~isfield(options_, 'mh_replic')% number of simulation: default =1000
    options_.mh_replic=1000;
end

if ~isfield(options_, 'mh_adapint')% length of interval for adaptatin: default=10
    options_.mh_adapint=10;
end

if ~isfield(options_, 'mh_burnintime')% burning time period: default = 10
    options_.mh_burnintime=10;
end

if ~isfield(options_, 'mh_incov')% initial covariance: default I
    options_.mh_incov=[];
end

if ~isfield(options_, 'mh_updatesigma')% update erro covariance: default =0 no update
    options_.mh_updatesigma=0;
end

if ~isfield(options_, 'mh_noadaptind')% list of indeces not to be adapted: default=[]
    options_.mh_noadaptind=[];
end

if ~isfield(options_, 'mh_dostats')% compute some stats default=0 no stats
    options_.mh_dostats=0;
end

if ~isfield(options_, 'mh_adascale')% scale parameter for adaptation: default =[]
    options_.mh_adascale=[];
end

if ~isfield(options_, 'mh_sigma2')% initial value for the error variance
    options_.mh_sigma2=1;
end

if ~isfield(options_, 'mh_ssfun')% sum of squares function
    options_.mh_ssfun=[];
end

if ~isfield(options_, 'mh_modelfun')
    options_.mh_modelfun=[];
end

if ~isfield(options_, 'mh_priorfun')
    options_.mh_priorfun= @(th,mu,sig) sum(((th-mu)./sig).^2);
end

if ~isfield(options_, 'mh_priortype')% prior type, 1 = Gaussian
    options_.mh_priortype=1;
end
if ~isfield(options_, 'mh_N') %length data
    options_.mh_N=1;
end

if ~isfield(options_, 'mh_S20') | isnan(options_.mh_S20)% prior for sigma2: default=NaN
    options_.mh_S20=options_.mh_sigma2;
end
if ~isfield(options_, 'mh_N0')% accuracy for S20 default=1
    N0=1;
end

if ~isfield(options_, 'mh_priorupdatefun')% default [];
    options_.mh_priorupdatefun=[];
end

if ~isfield(options_, 'mh_parammu')% prior parameter mean: default 0;
    for i=1:options_.mh_npars
    options_.mh_parammu(i)=0;
    end
end

if ~isfield(options_, 'mh_paramsig')% prior parameter variance: default Inf;
    for i=1:options_.mh_npars
        options_.mh_paramsig(i)=Inf;
    end
end

% % % % % for replica exchange

if ~isfield(options_, 'mh_nblck')% number of replicas: default=2
    options_.mh_nblck=2;
end


if ~isfield(options_, 'mh_exchangeint')% length of interval for exchange: default=10
    options_.mh_exchangeint=10;
end

if ~isfield(options_, 'mh_exchangeind')% indeces to be exchanged: default all
    options_.mh_exchangeind=ones(1,options_.mh_npars);
end
